clear
clear matrix


*set location of base_directory below:
local base_dir "C:\DataAppendix"

local in_dir "`base_dir'\Data\raw"
local out_dir "`base_dir'\Data"

cd "`out_dir'"


*
* transform 4digit concordance to 5digit
*

insheet using "`in_dir'\SITC_Leaf_Codes.txt", clear

rename v1 sitc

gen sitc4dgt = int(sitc/10)

merge m:1 sitc4dgt using "raw\sitc2isic"

drop if _merge == 1
drop _merge

drop sitc4dgt sitc2

label var sitc "SITC (Rev.2) 5-digit commodity code"

append using "`in_dir'\sitc2isic_missing.dta"

sort sitc

save "`out_dir'\SITC5_to_ISIC3", replace

